Mailbox API · Beta
List problem types
GET
/problems
const url = 'https://api.builders.ac/api/mailbox/v1beta1/problems';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.builders.ac/api/mailbox/v1beta1/problemsEvery problem code the /events surface can answer with. Each problem’s type URL points into this catalogue. Unauthenticated and cacheable.
Responses
Section titled “Responses”The catalogue.
Media typeapplication/json
object
object
required
data
required
Array<object>
Problem typeobject
type
required
string format: uri
code
required
string
title
required
string
status
required
integer
detail
required
string
retryable
required
boolean
Example
{ "object": "list"}